cascading.flow.stream.element

## Class MemoryCoGroupClosure

- java.lang.Object
- - cascading.pipe.joiner.JoinerClosure
  - - cascading.flow.stream.element.MemoryCoGroupClosure

    public class MemoryCoGroupClosure
    extends JoinerClosure

### Field Summary

### Fields inherited from class cascading.pipe.joiner.JoinerClosure

`flowProcess, joinFields, valueFields`

### Constructor Summary

Constructors
Constructor and Description
`MemoryCoGroupClosure(FlowProcess flowProcess, int numSelfJoins, Fields[] groupingFields, Fields[] valueFields)`

### Method Summary

Methods
`Tuple` `getGroupTuple(Tuple keysTuple)`
`Iterator<Tuple>` `getIterator(int pos)` Returns a Tuple Iterator for the given pipe position.
`boolean` `isEmpty(int pos)`
`void` `reset(Collection<Tuple>[] collections)`
`int` `size()`

### Methods inherited from class cascading.pipe.joiner.JoinerClosure

`getFlowProcess, getJoinFields, getValueFields, isSelfJoin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryCoGroupClosure

    public MemoryCoGroupClosure(FlowProcess flowProcess,
                        int numSelfJoins,
                        Fields[] groupingFields,
                        Fields[] valueFields)

### Method Detail

#### size

    public int size()

Specified by:
  `size` in class `JoinerClosure`

#### reset

    public void reset(Collection<Tuple>[] collections)

#### getIterator

    public Iterator<Tuple> getIterator(int pos)

Description copied from class: `JoinerClosure`
Returns a Tuple Iterator for the given pipe position. Position 0 is the most left handed pipe passed to the prior `CoGroup`.

To restart an Iterator over a given pipe, this method must be called again.

Specified by:
  `getIterator` in class `JoinerClosure`
Parameters:
  `pos` - of type int
Returns:
  an Iterator of Tuple instances.

#### isEmpty

    public boolean isEmpty(int pos)

Specified by:
  `isEmpty` in class `JoinerClosure`

#### getGroupTuple

    public Tuple getGroupTuple(Tuple keysTuple)

Specified by:
  `getGroupTuple` in class `JoinerClosure`